Bug 314732 - JJ: KWrite lacks 'apply' button in configure Dialog
Summary: JJ: KWrite lacks 'apply' button in configure Dialog
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: kwrite (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2013-02-08 23:50 UTC by aesc.valkyr
Modified: 2013-02-22 18:39 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description aesc.valkyr 2013-02-08 23:50:41 UTC
Really, probably not a bug, but a feature request.

KWrite (up to at least 4.9.3) does not have an 'apply' button in it's Configuration Dialog, unlike Kate. This makes configuring syntax highlighting colours very frustrating, as the dialog must be closed and re-opened every time a colour is to be tested and changed.

Reproducible: Always

Steps to Reproduce:
1. Open Configure Editor Dialog
2. 
3.
Actual Results:  
There is no Apply Button.

Expected Results:  
There should be an Apply Button
Comment 1 FiNeX 2013-02-10 20:38:50 UTC
I'm able to reproduce this bug using KDE 4.10
Comment 2 Dominik Haumann 2013-02-22 18:38:21 UTC
Git commit 879241e50fb592932344a7004a031faf99f20e29 by Dominik Haumann.
Committed on 22/02/2013 at 19:37.
Pushed by dhaumann into branch 'master'.

show 'Apply' button in kate part config dialog

Thanks to Fabian Kosmale for the patch! Keep it coming :-)

REVIEW: 109094
FIXED-IN: 4.10.1

M  +2    -1    part/utils/kateglobal.cpp

http://commits.kde.org/kate/879241e50fb592932344a7004a031faf99f20e29
Comment 3 Dominik Haumann 2013-02-22 18:39:05 UTC
Git commit 4bc34d18ea2e8d23aff004520ade3b18bf1dc84d by Dominik Haumann.
Committed on 22/02/2013 at 19:37.
Pushed by dhaumann into branch 'KDE/4.10'.

show 'Apply' button in kate part config dialog

Thanks to Fabian Kosmale for the patch! Keep it coming :-)

REVIEW: 109094
FIXED-IN: 4.10.1

M  +2    -1    part/utils/kateglobal.cpp

http://commits.kde.org/kate/4bc34d18ea2e8d23aff004520ade3b18bf1dc84d